function init()
	jewels = FindShapes("ore")
	for i=1, #jewels do
		SetTag(jewels[i], "invisible")
	end
end

function tick()
	for i = 1, #jewels do
		local value = GetTagValue(jewels[i], "ore")
		if GetBool("game.mod.cave."..value) then
			RemoveTag(jewels[i], "invisible")
			RemoveTag(jewels[i], "ore")
			jewels = FindShapes("ore")
			DebugPrint("find")
			return
		end
	end
end